function newSprt04020Control(pageName, doctx="[data-doctx='sprt04020']") {
    let ctrl = new DatasetControl({
          doctx: doctx
        , prefix: "cvlcptDscsn"
        , prefixName: "민원상담"
        , dataGetter: obj => obj["Info"]
        , keys: ["CVLCPT_DSCSN_ID"]
        , urls: {
              create: "/create.do"
            , update: "/update.do"
        }
    });

    /**************************************************************************
     * DatasetControl Events
     **************************************************************************/
    // 현재 선택 자료 변경 이벤트
    ctrl.onCurrentChange = (item) => {
        if (!item) return;

        // 화면에 단속 Dataset 셋팅
        let formFields = new FimsFormFields(ctrl.selector("[name='frmEdit']"));
        formFields.set(ctrl, item);

        // 업무구분에 따른 URL 변경
        ctrl.urls.create = wctx.url(pageObject[pageName].prefixUrl + "/020/create.do");    // 등록
        ctrl.urls.update = wctx.url(pageObject[pageName].prefixUrl + "/020/update.do");    // 수정

        // 등록
        if (!item.data.CVLCPT_DSCSN_ID) {
            $(ctrl.find("[name='dscsnYmd']")).datepicker("setDate", TODAY());   // 상담 일자
            $(ctrl.find("[name='cvlprNm']")).val(item.data.RTPYR_NM);           // 납부자 명
        }
    };

    // 저장 callback
    ctrl.onSave = (params, resp) => {
        if (resp.saved) return;

        let modalId = $(document.querySelector(doctx)).parents(".modal")[0].id;
        let dialogTitle = $("#" + modalId).find("h5.modal-title").html();
        let showMessage = resp.rtnMsg.replace(/[S]|[F]/g, dialogTitle);

        // 메시지 출력
        dialog.alert({
              content: showMessage
            , init: () => { AppSupport.setDialogZindex(); }
            , onOK: resp.saved ? undefined : () => { }
            , onClose: () => {
                if (resp.saved) { dialog.close(modalId); }
            }
        });
    }

    // 저장
    ctrl.save = (params) => {
        if (!params) return;

        let create = (params.cvlcptDscsnId == "");

        ajax.post({
              url: !create ? ctrl.urls.update : ctrl.urls.create
            , data: params || {}
            , success: (resp) => { ctrl.onSave(params, resp); }
        });
    }

    return ctrl;
}
